All pages
Powered by GitBook
1 of 1

Loading...

AppPackageAssigned

Get

get

Retrieve the setting of the assigned application package.

Path parameters
idinteger · int32Required

Retrieve the assigned application package by ID.

Responses
200

Success

application/json; api-version=1.0
401

Unauthorized

application/json; api-version=1.0
404

Not Found

application/json; api-version=1.0
get
/api/VDI/HostPool/{id}/AppPackageAssigned

Add

post

Add an assigned application package.

Path parameters
idinteger · int32Required

The ID for which to add the assigned application package.

Body
packageNamestring | nullableRequired

The application package name. This must be the actual application package name used in the RAS farm.

versionstring | nullableRequired

The version of the application package. This must be the actual application package version used in the RAS farm.

Responses
201

Created

401

Unauthorized

application/json; api-version=1.0
404

Not Found

application/json; api-version=1.0
409

Conflict

application/json; api-version=1.0
post
/api/VDI/HostPool/{id}/AppPackageAssigned

No content

Update

put

Update the assigned application package settings with the specified ID.

Path parameters
idinteger · int32Required

The ID for which to modify the assigned application package setting.

Body
packageNamestring | nullableRequired

The name of the application package for which to change the version. This must be the actual application package name used in the RAS farm.

versionstring | nullableRequired

The new version of the application package. This must be the actual application package version used in the RAS farm.

Responses
204

No Content

401

Unauthorized

application/json; api-version=1.0
404

Not Found

application/json; api-version=1.0
put
/api/VDI/HostPool/{id}/AppPackageAssigned

No content

Delete

delete

Remove the assigned application package.

Path parameters
idinteger · int32Required

ID for which to remove the assigned application package.

Body
packageNamestring | nullableRequired

The name of the application package for which to remove the assigned packaged application. This must be the actual application package name used in the RAS farm.

Responses
204

No Content

401

Unauthorized

application/json; api-version=1.0
404

Not Found

application/json; api-version=1.0
delete
/api/VDI/HostPool/{id}/AppPackageAssigned

No content

GET /api/VDI/HostPool/{id}/AppPackageAssigned HTTP/1.1
Host: 
Accept: */*
[
  {
    "version": "text",
    "tagName": "text",
    "tagId": 1,
    "packageName": "text"
  }
]
POST /api/VDI/HostPool/{id}/AppPackageAssigned HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 39

{
  "packageName": "text",
  "version": "text"
}
PUT /api/VDI/HostPool/{id}/AppPackageAssigned HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 39

{
  "packageName": "text",
  "version": "text"
}
DELETE /api/VDI/HostPool/{id}/AppPackageAssigned HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22

{
  "packageName": "text"
}